2023-02-03 21:44 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004722Beast[All Projects] Generalpublic2022-11-23 14:27
ReporterHexaae 
Assigned ToCFOUProject InfoShadow of the Beast (Psygnosis)
http://www.whdload.de/games/Beast.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionreopened 
Summary0004722: REQUEST: remove up = jump when you enable 2nd button joystick to jump.
DescriptionGameVersion: english,pal
SlaveVersion: 2.5 (03.01.2020)

REQUEST: remove up = jump when you enable 2nd button joystick to jump.
TagsNo tags attached.
MachineUAE
CPU68060
CPUSpeed75
ChipSetAGA
GFXCardOther
ChipMem2 MB
FastMem256 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.6beta
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0010996

Hexaae (reporter)

news? I've seen a similar fix for Beast 3...

note ~0011072

CFOU (developer)

to do

note ~0011136

Hexaae (reporter)

(just a small reminder: of course up/down should still work for the ladders, even with up=jump removed for 2 buttons settings)

note ~0011853

CFOU (developer)

done with 2.6

note ~0011857

Hexaae (reporter)

Not working properly in Slave 2.6:
1. can't enter doors (e.g. move on the right after you start a new game to enter the well) with joystick-up
2. problems with ladders when you press 2nd button: you'll start climbing (!) and then joy-up won't work anymore (?). Expected behaviour: only up/down should be used to climb up/down the ladders and 2nd button should be always ignored.

note ~0011859

CFOU (developer)

you must first use the second button to grab the ladder then in a second time use JoyUp.

It's just a habit to take (but disturbing at first)
I haven't found a satisfying solution that doesn't create a problem elsewhere.
In the same way you had to use the second button to enter the well or go through a door.

note ~0011864

Hexaae (reporter)

Try to enter the tree-door (Home) on the left of very first level: you have to use first ladder with down (2nd button does nothing) but then you can't move up on the ladder...

note ~0011931

Hexaae (reporter)

JoyUp never worked here for ladders :-\ even following your steps (2nd button and then j-up). I can move down only on ladders.

note ~0012034

funkazzista (reporter)

Hey CFOU!
On my real Amiga with a PS2 controller, with tooltype CUSTOLM4 set either to 1 or 2 first button pushes don't seem to get detected, while second button works fine.
Could you please have a look?
+Notes

-Issue History
Date Modified Username Field Change
2020-06-07 21:04 administrator New Issue
2020-06-07 21:04 administrator Status new => assigned
2020-06-07 21:04 administrator Assigned To => CFOU
2022-03-12 18:33 Hexaae Note Added: 0010996
2022-04-04 11:22 CFOU Note Added: 0011072
2022-04-14 15:55 Hexaae Note Added: 0011136
2022-10-23 12:15 CFOU Status assigned => confirmed
2022-10-23 12:15 CFOU Note Added: 0011853
2022-10-23 12:16 CFOU Status confirmed => closed
2022-10-23 12:16 CFOU Resolution open => fixed
2022-10-24 09:52 Hexaae Status closed => feedback
2022-10-24 09:52 Hexaae Resolution fixed => reopened
2022-10-24 09:52 Hexaae Note Added: 0011857
2022-10-25 00:54 CFOU Status feedback => resolved
2022-10-25 00:54 CFOU Note Added: 0011859
2022-10-25 01:37 Hexaae Note Added: 0011864
2022-11-07 02:56 Hexaae Note Added: 0011931
2022-11-23 14:27 funkazzista Note Added: 0012034
+Issue History